##### 7.5.3.0. PBW_maxDeg

Procedure from library `central.lib` (see central_lib).

Usage:
  PBW_maxDeg(MaxDeg); MaxDeg int

Purpose:
  Compute PBW elements up to a given maximal degree.

Return:
  ideal consisting of found elements.

Note:
  unit is omitted. Weights are ignored!

Example:

    LIB "central.lib";
    ring AA = 0,(e,f,h),dp;
    matrix D[3][3]=0;
    D[1,2]=-h;  D[1,3]=2*e;  D[2,3]=-2*f;
    def A = nc_algebra(1,D); // this algebra is U(sl_2)
    setring A;
    // PBW Basis of A_2 - monomials of degree <= 2, without unit:
    PBW_maxDeg( 2 );
    ==> _[1]=e
    ==> _[2]=f
    ==> _[3]=h
    ==> _[4]=h2
    ==> _[5]=fh
    ==> _[6]=f2
    ==> _[7]=eh
    ==> _[8]=ef
    ==> _[9]=e2

User manual for Singular version 4.4.1, 2025, generated by texi2html.